.markdown h1 {
  color: #000000;
  font-weight: 700;
  font-size: 2em;
  margin-top: 0.6em;
  margin-bottom: 0.2em;
}

.markdown h2 {
  color: #008070;
  font-weight: 700;
  font-size: 1.8em;
  margin-top: 0.6em;
  margin-bottom: 0.2em;
}
.markdown h3 {
  color: #008070;
  font-weight: 600;
  font-size: 1.6em;
  margin-top: 0.6em;
  margin-bottom: 0.2em;
}
.markdown h4 {
  color: #008070;
  font-weight: 600;
  font-size: 1.2em;
  margin-top: 0.6em;
  margin-bottom: 0.2em;
}
.markdown h5 {
  color: #008070;
  font-weight: 600;
  font-size: 1.1em;
  margin-top: 0.6em;
  margin-bottom: 0.2em;
}
.markdown a {
  color: #008070;
  font-weight: 600;
  text-decoration: underline;
}
.markdown a:hover {
  text-decoration: none;
}
.dark .markdown h1 {
  color: #ffffff90;
}
.dark .markdown h2,
.dark .markdown h3,
.dark .markdown h4,
.dark .markdown h5,
.dark .markdown a {
  color: #1eceb8;
}
.markdown p > img,
.markdown video,
.markdown div > img {
  margin: 1.4em auto;
  border-radius: 0.4em;
  box-shadow: 0 4px 8px #00000020;
}
.dark .markdown p > img,
.dark .markdown video,
.dark .markdown div > img {
  box-shadow: none;
}
.markdown span > img {
  display: inline;
}
.markdown li {
  list-style-type: disc;
  margin-left: 2em;
  margin-bottom: 0.2em;
}
.markdown p,
.markdown ul,
.markdown ol {
  margin-bottom: 0.5em;
}
.markdown ul,
.markdown ol {
  margin-top: 0.3em;
}
.markdown li + li {
  margin-top: 0.1em;
}
.markdown blockquote {
  margin-block: 1em;
  border: none;
  border-left-style: solid;
  border-left-color: #008070;
  border-width: 4px;
  font: 15px/140% "Roboto", sans-serif;
  background-color: #00807020;
  font-style: italic;
  padding: 9px 30px 9px 20px;
}
.dark .markdown blockquote {
  border-left-color: #1eceb8;
  background-color: #1eceb820;
}
.markdown span {
  text-align: left;
}

/* CODE STYLING */
.markdown pre span {
  display: unset;
}
.markdown code {
  padding: 2px 4px;
  font-size: 0.9em;
  background-color: #efefef;
  border-radius: 0.2em;
}
.dark .markdown code {
  background-color: #202020;
}
.markdown pre {
  margin: 0.8em auto;
  padding: 1em;
  border-radius: 0.4em;
  background-color: #efefef;
  border: 1px solid #c4c4c4;
}
.dark .markdown pre {
  background-color: #202020;
  border-color: #6d6d6d;
}
.markdown pre code,
.dark .markdown pre code {
  background-color: transparent;
  padding: 0;
}

/* TABLE STYLING */
.markdown table {
  border-collapse: collapse;
  border-spacing: 0;
  margin-top: 1em;
  margin-bottom: 1em;
}

.markdown table tr {
  border-left: 1px solid #ababab;
  border-right: 1px solid #ababab;
}

.markdown table td {
  border: 1px solid #ababab;
  padding: 8px 16px;
  text-align: left;
  vertical-align: top;
}

/* CODE BLOCK - predefined styles */
.highlight .c {
  color: #999988;
  font-style: italic;
} /* Comment */
.highlight .err {
  color: #a61717;
  background-color: #e3d2d2;
} /* Error */
.highlight .k {
  font-weight: bold;
} /* Keyword */
.highlight .o {
  font-weight: bold;
} /* Operator */
.highlight .cm {
  color: #999988;
  font-style: italic;
} /* Comment.Multiline */
.highlight .cp {
  color: #999999;
  font-weight: bold;
} /* Comment.Preproc */
.highlight .c1 {
  color: #999988;
  font-style: italic;
} /* Comment.Single */
.highlight .cs {
  color: #999999;
  font-weight: bold;
  font-style: italic;
} /* Comment.Special */
.highlight .gd {
  color: #000000;
  background-color: #ffdddd;
} /* Generic.Deleted */
.highlight .gd .x {
  color: #000000;
  background-color: #ffaaaa;
} /* Generic.Deleted.Specific */
.highlight .ge {
  font-style: italic;
} /* Generic.Emph */
.highlight .gr {
  color: #aa0000;
} /* Generic.Error */
.highlight .gh {
  color: #999999;
} /* Generic.Heading */
.highlight .gi {
  color: #000000;
  background-color: #ddffdd;
} /* Generic.Inserted */
.highlight .gi .x {
  color: #000000;
  background-color: #aaffaa;
} /* Generic.Inserted.Specific */
.highlight .go {
  color: #888888;
} /* Generic.Output */
.highlight .gp {
  color: #555555;
} /* Generic.Prompt */
.highlight .gs {
  font-weight: bold;
} /* Generic.Strong */
.highlight .gu {
  color: #aaaaaa;
} /* Generic.Subheading */
.highlight .gt {
  color: #aa0000;
} /* Generic.Traceback */
.highlight .kc {
  font-weight: bold;
} /* Keyword.Constant */
.highlight .kd {
  font-weight: bold;
} /* Keyword.Declaration */
.highlight .kp {
  font-weight: bold;
} /* Keyword.Pseudo */
.highlight .kr {
  font-weight: bold;
} /* Keyword.Reserved */
.highlight .kt {
  color: #445588;
  font-weight: bold;
} /* Keyword.Type */
.highlight .m {
  color: #009999;
} /* Literal.Number */
.highlight .s {
  color: #d14;
} /* Literal.String */
.highlight .na {
  color: #008080;
} /* Name.Attribute */
.highlight .nb {
  color: #0086b3;
} /* Name.Builtin */
.highlight .nc {
  color: #445588;
  font-weight: bold;
} /* Name.Class */
.highlight .no {
  color: #008080;
} /* Name.Constant */
.highlight .ni {
  color: #800080;
} /* Name.Entity */
.highlight .ne {
  color: #990000;
  font-weight: bold;
} /* Name.Exception */
.highlight .nf {
  color: #990000;
  font-weight: bold;
} /* Name.Function */
.highlight .nn {
  color: #555555;
} /* Name.Namespace */
.highlight .nt {
  color: #000080;
} /* Name.Tag */
.highlight .nv {
  color: #008080;
} /* Name.Variable */
.highlight .ow {
  font-weight: bold;
} /* Operator.Word */
.highlight .w {
  color: #bbbbbb;
} /* Text.Whitespace */
.highlight .mf {
  color: #009999;
} /* Literal.Number.Float */
.highlight .mh {
  color: #009999;
} /* Literal.Number.Hex */
.highlight .mi {
  color: #009999;
} /* Literal.Number.Integer */
.highlight .mo {
  color: #009999;
} /* Literal.Number.Oct */
.highlight .sb {
  color: #d14;
} /* Literal.String.Backtick */
.highlight .sc {
  color: #d14;
} /* Literal.String.Char */
.highlight .sd {
  color: #d14;
} /* Literal.String.Doc */
.highlight .s2 {
  color: #d14;
} /* Literal.String.Double */
.highlight .se {
  color: #d14;
} /* Literal.String.Escape */
.highlight .sh {
  color: #d14;
} /* Literal.String.Heredoc */
.highlight .si {
  color: #d14;
} /* Literal.String.Interpol */
.highlight .sx {
  color: #d14;
} /* Literal.String.Other */
.highlight .sr {
  color: #009926;
} /* Literal.String.Regex */
.highlight .s1 {
  color: #d14;
} /* Literal.String.Single */
.highlight .ss {
  color: #990073;
} /* Literal.String.Symbol */
.highlight .bp {
  color: #999999;
} /* Name.Builtin.Pseudo */
.highlight .vc {
  color: #008080;
} /* Name.Variable.Class */
.highlight .vg {
  color: #008080;
} /* Name.Variable.Global */
.highlight .vi {
  color: #008080;
} /* Name.Variable.Instance */
.highlight .il {
  color: #009999;
} /* Literal.Number.Integer.Long */
